## apt 1.0.9.8.3

=== debian/changelog ===
apt (1.0.9.8.3) jessie; urgency=medium

  * apt-pkg/algorithms.cc: Avoid stack buffer overflow in KillList
    (Closes: #701069)

 -- Julian Andres Klode <jak@debian.org>  Sat, 12 Mar 2016 13:14:21 +0000
