## apt 1.0.9.8.4

=== debian/changelog ===
apt (1.0.9.8.4) jessie-security; urgency=high

  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)

 -- Julian Andres Klode <jak@debian.org>  Thu, 08 Dec 2016 15:31:29 +0100
