=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr 
Depends: @, @builddeps@, fakeroot, wget, stunnel4, db-util
