## apt 1.0.9.8.5

=== debian/changelog ===
apt (1.0.9.8.5) jessie-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Jan 2019 13:15:57 +0100
