## apt 1.0.9.8.7

=== debian/changelog ===
apt (1.0.9.8.7) jessie-security; urgency=high

  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * Fix testsuite regression from 1.0.9.8.6 upload

 -- Julian Andres Klode <jak@debian.org>  Sun, 10 Jan 2021 18:25:33 +0100
