## apt 1.0.10.2ubuntu2

=== debian/changelog ===
apt (1.0.10.2ubuntu2) wily-proposed; urgency=medium

  * Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
    Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
    systemd, util-linux, and other packages with Pre-Depends. Many thanks to
    David Kalnischkies for figuring out the patch and Winfried PLappert for
    testing! Patch taken from Debian git. (LP: #1560797)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2016 12:36:25 +0200

apt (1.0.10.2ubuntu1) wily; urgency=medium

  * merged from debian/sid (LP: #1486061)
  * this fixes a subtle ABI difference between debian and ubuntu
  * add breaks for rdepends to ensure smooth wily->wily transtition
    for the ABI fix. this can be dropped post-wily

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:20:37 +0200

apt (1.0.10.2) unstable; urgency=high

  * Do not parse Status fields from remote sources

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2015 19:34:43 +0200

apt (1.0.10.1) unstable; urgency=medium

  * hide first pdiff merge failure debug message (Closes: 793444)
  * mark again deps of pkgs in APT::Never-MarkAuto-Sections as manual.
    Thanks to Raphaël Hertzog and Adam Conrad for detailed reports and
    initial patches (Closes: 793360) (LP: #1479207)
  * explicitly build-dep on g++ (>= 4:5.2) for gcc5 transition

 -- David Kalnischkies <david@kalnischkies.de>  Mon, 03 Aug 2015 07:29:40 +0200

apt (1.0.10) unstable; urgency=medium

  [ Zhou Mo ]
  * po: update zh_CN translation slightly
  * po: Update Simplified Chinese programs translation

  [ Mert Dirik ]
  * Turkish translation update for apt (Closes: #789491)

  [ Yuri Kozlov ]
  * Russian program translation update (Closes: 789709)

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 782122)

  [ Beatrice Torracca ]
  * Italian manpage translation update (Closes: 776702)

  [ Julian Andres Klode ]
  * ExecFork: Use /proc/self/fd to determine which files to close
    (Closes: #764204)

  [ Michael Vogt ]
  * Prepare new 1.0.10 release with gcc5 abi transition

  [ David Kalnischkies ]
  * stop depending on copy-on-write for std::string
  * bump next-abi check above gcc5-abi bump
  * update symbols file to use gcc5 abi mangling

 -- David Kalnischkies <david@kalnischkies.de>  Sat, 25 Jul 2015 12:11:08 +0200

apt (1.0.9.10ubuntu7) wily; urgency=medium

  * cherry pick 353c135 to fix build failure with gcc-snapshot
    (LP: #1477299)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 18 Sep 2015 10:02:55 +0200

apt (1.0.9.10ubuntu6) wily; urgency=medium

  * Fix regression in the Never-MarkAuto-Sections feature caused by the
    previous auto-removal fix, with inspiration drawn from the patches
    and conversation from http://bugs.debian.org/793360 (LP: #1479207)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Aug 2015 16:14:05 -0600

apt (1.0.9.10ubuntu5) wily; urgency=medium

  * apt-pkg/packagemanager.h:
    - re-add incorrectly removed pkgPackageManager::Go() to make
      python-apt build again

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 24 Jul 2015 10:13:08 +0200

apt (1.0.9.10ubuntu4) wily; urgency=medium

  * abi bump for gcc-5
  * debian/control
    - rename libapt-pkg4.12 -> libapt-pkg4.16,
      the versions 4.13-4.15 are already taken in experimental
    - rename libapt-inst1.5 -> libapt-inst1.7,
      version 1.6 is already taken in experimental
    - build-depend on gcc-5 (>= 5.2.1-10) temporarily
  * debian/rules:
    - build with -O2 everywhere because of
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=66868

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jul 2015 11:40:34 +0200

apt (1.0.9.10ubuntu1) wily; urgency=low

  * merged from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 May 2015 18:08:10 +0200

apt (1.0.9.10) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix crash in pkgDPkgPM::WriteApportReport(() (LP: #1436626)
  * Move sysconf(_SC_OPEN_MAX); out of the for() loop to avoid unneeded
    syscalls
  * Fix endless loop in apt-get update that can cause disk fillup
    (LP: #1445239)

  [ Helmut Grohne ]
  * parse arch-qualified Provides correctly (Closes: 777071)

 -- Michael Vogt <mvo@debian.org>  Fri, 22 May 2015 17:38:31 +0200

apt (1.0.9.9ubuntu1) wily; urgency=low

  * merged from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 May 2015 10:40:54 +0200

apt (1.0.9.9) unstable; urgency=medium

  [ David Kalnischkies ]
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)
  * remove "first package seen is native package" assumption.
    Thanks to Axel Beckert for testing (Closes: 782777)

 -- David Kalnischkies <david@kalnischkies.de>  Tue, 28 Apr 2015 16:11:27 +0200
