## apt 1.1

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 1.1
Date: 2010-11-03 (first); 2012-03-31 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 2.10.0), car, erer, urca
Description: This package focuses on asymmetric price transmission
        (APT) between two time series. This package contains functions
        for linear and nonlinear threshold cointegration, and
        furthermore, symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
Packaged: 2012-03-31 06:09:05 UTC; Edwin
Repository: CRAN
Date/Publication: 2012-03-31 06:26:22
