## apt 1.2.10ubuntu1

=== debian/changelog ===
apt (1.2.10ubuntu1) xenial; urgency=medium

  * Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
    Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
    systemd, util-linux, and other packages with Pre-Depends. Many thanks to
    David Kalnischkies for figuring out the patch and Winfried PLappert for
    testing! Patch taken from Debian git. (LP: #1560797)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Apr 2016 09:05:29 +0200

apt (1.2.10) unstable; urgency=medium

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation. (100%)

  [ Julian Andres Klode ]
  * test-apt-download-progress: Use a larger file for testing
  * Allow lowering trust level of a hash via config

  [ Michael Vogt ]
  * Use systemd.timer instead of a cron job (Closes: #600262, #709675, #663290)
    (LP: #246381, #727685)

  [ David Kalnischkies ]
  * use buffered writing for InRelease splitting

  [ Takuma Yamada ]
  * Japanese program translation update (Closes: 819938)

 -- Michael Vogt <mvo@debian.org>  Tue, 05 Apr 2016 20:23:47 +0200

apt (1.2.9) unstable; urgency=high

  [ David Kalnischkies ]
  * drop confusing comma from no strong hash message

  [ Julian Andres Klode ]
  * Do not mark packages for keep that we want to remove (LP: #1562402)
    (This fixes some upgrades involving renames where the old package
     is removed)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Mar 2016 01:26:51 +0100

apt (1.2.8) unstable; urgency=medium

  [ Michael Vogt ]
  * Get accurate progress reporting in apt update again

  [ Julian Andres Klode ]
  * Report non-transient errors as errors, not as warnings
  * methods/gpgv: Rewrite error handling and message.
    Thanks to Ron Lee for wording suggestions
  * Use descriptive URIs in 104 Warning messages
  * cachefile: Only set members that were initialized successfully
    (Closes: #818628)
  * Update symbols file

  [ David Kalnischkies ]
  * do not strip epochs from state version strings (Closes: 818162)
  * properly check for "all good sigs are weak" (Closes: 818910)
  * handle gpgv's weak-digests ERRSIG

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation. (Closes: #818639)

  [ Takuma Yamada ]
  * Japanese manpage translation update (Closes: 818950)

 -- Julian Andres Klode <jak@debian.org>  Thu, 24 Mar 2016 19:31:24 +0100

apt (1.2.7) unstable; urgency=medium

  "Caesar is dead"

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 817060)
  * Dutch manpages translation update (Closes: 817062)

  [ Julian Andres Klode ]
  * Use native architecture instead of amd64 for build-dep-purge test
  * Do not consider SHA1 usable
  * Test that SHA1-only .diff/Index files are not used
  * test: Use SHA512 digests for GPG, reject SHA1-based signatures
  * methods/gpgv: Reject weak digest algorithms
  * apt-pkg/acquire-worker.cc: Introduce 104 Warning message
  * methods/gpgv: Warn about SHA1 (and RIPEMD-160)

  [ David Kalnischkies ]
  * require $(HASH)-Download field in .diff/Index files
  * flush line-clearing on progress stop before post-invoke (Closes: 793672)
  * enforce verify of filesize in 'apt-get source'

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish apt-mark translation fix (Closes: 817999)

  [ Zhou Mo ]
  * zh_CN.po: fix translation bug. (Closes: #818177)

  [ Michael Vogt ]
  * Fix bug where the problemresolve can put a pkg into a heisenstate
    (LP: #1550741)

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Mar 2016 19:20:18 +0100

apt (1.2.6) unstable; urgency=high

  [ Veres Lajos ]
  * Fix several typos

  [ Julian Andres Klode ]
  * apt-pkg/algorithms.cc: Avoid stack buffer overflow in KillList
    (Closes: #701069)
  * urgency=high because this fixes a stack overflow and the last
    upload fixed several segfaults and has not migrated yet either.

 -- Julian Andres Klode <jak@debian.org>  Mon, 07 Mar 2016 19:49:38 +0100

apt (1.2.5) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * apt-key del should correctly handle keyids prefixed with 0x

  [ David Kalnischkies ]
  * support APT::Get::Build-Dep-Automatic again in build-dep
  * add test for apt-key 0xKEY and use parameter expansion.
    Thanks to James McCoy for the suggestion. (Closes: 816691)
  * do not move not-failed pdiff-patches into CWD on failure (Closes: #816837)
  * get group again after potential remap in Source: parse.
    Thanks to Francesco Poli and Marc Haber for testdata. (Closes: 812251)

  [ Colin Watson ]
  * Fix lzma write support to handle "try again" case (Closes: #751688)

  [ Julian Andres Klode ]
  * Prevent double remapping of iterators and string views
  * debian/control: Set Standards-Version to 3.9.7

 -- Julian Andres Klode <jak@debian.org>  Sun, 06 Mar 2016 19:47:45 +0100

apt (1.2.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * use local changelog from /usr/share/doc if possible
  * always download changelogs into /tmp first
  * pass versioned provides to external solvers in EDSP

  [ Julian Andres Klode ]
  * Fix maintscript to properly remove 20changelog (Closes: #814754)
  * Fix crash with empty architecture list (LP: #1549819)
  * Add missing numeric includes in files using std::accumulate()

 -- Julian Andres Klode <jak@debian.org>  Sat, 27 Feb 2016 14:02:47 +0100

apt (1.2.3) unstable; urgency=high

  [ Julian Andres Klode ]
  * Set seekpos to 0 after reopening files in Seek() (Closes: #812994, #813000)

  [ David Kalnischkies ]
  * get dpkg lock in build-dep if cache was invalid again (Closes: 814139)

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Feb 2016 18:02:20 +0100

apt (1.2.2) unstable; urgency=medium

  [ David Kalnischkies ]
  * always create pkg at the time pkg:arch is created
  * reimplement build-dep via apts normal resolver
    (Closes: #137560, #444930, #489911, #583914, #728317, #812173)
  * parse version correctly from binary Source field (Closes: 812492)
  * get sources for packages in multiple releases again (Closes: 812497)

