=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export PARALLEL = $(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -16,6 +17,9 @@
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
+
+# Set the number of procs to be run in parallel from the options.
+confflags += --with-procs=$(PARALLEL)
 
 # See below
 -include build/environment.mak
@@ -56,6 +60,11 @@
 override BLD := ./build
 endif
 
+# When building without <nocheck>, the header is available and thus the test is
+# successful. When building with <nocheck>, the header is missing, but we still
+# pretend it to be available, because configure would fail otherwise.
+export ac_cv_header_gtest_gtest_h=yes
+
 # APT Programs in apt-utils
 APT_UTILS=ftparchive sortpkgs extracttemplates
 
@@ -85,7 +94,7 @@
 configure: configure.ac
 build/configure-stamp: configure buildlib/config.sub buildlib/config.guess
 	dh_testdir
-	-mkdir build
+	mkdir -p build
 	cp COPYING debian/copyright
 	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
 	touch $@
@@ -213,13 +222,17 @@
 	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \
 
 	# move the apt-helper in place
-	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper 
+	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper
+	# install apt.systemd.daily helper in the right place
+	install -m755 debian/apt.systemd.daily debian/$@/usr/lib/apt/
 
 	dh_bugfiles -p$@
 	dh_lintian -p$@
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
-	dh_installcron -p$@
+	dh_installcron -p$@ --name=apt-compat
+	dh_systemd_enable -p$@ apt-daily.timer
+	dh_systemd_start -p$@ apt-daily.timer
 	dh_installdocs -p$@
 	dh_installchangelogs -p$@
 	dh_installlogrotate -p$@
@@ -248,24 +261,3 @@
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
-	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
-apt-utils: build-binary build-manpages
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
-	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump
-	cp $(BLD)/bin/apt-internal-solver debian/$@/usr/lib/apt/solvers/apt
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_link -p$@
-	dh_installdocs -p$@
-	dh_installexamples -p$@
-
-	# Install the man pages..
