## apt 1.2.12~ubuntu16.04.1%2B8.0trisquel1

=== debian/changelog ===
apt (1.2.12~ubuntu16.04.1+8.0trisquel1) flidas; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:39:05 +0000

apt (1.2.12~ubuntu16.04.1) xenial; urgency=medium

  * Upload 1.2.12 micro-release to Xenial (LP: #1538438, #1580952)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 May 2016 04:08:00 -0600

apt (1.2.12) unstable; urgency=medium

  [ Patrick Cable ]
  * refactored no_proxy code to work regardless of where https proxy is set

  [ James McCoy ]
  * deb822: Restore support for <multivalue>-{Add,Remove}

  [ David Kalnischkies ]
  * don't show NO_PUBKEY warning if repo is signed by another key
    (Closes: 618445)
  * allow redirection for items without a space in the desc again
  * don't sent uninstallable rc-only versions via EDSP
  * respect user pinning in M-A:same version (un)screwing

  [ Julian Andres Klode ]
  * update: Run Post-Invoke-Success if not all sources failed
  * debian/gbp.conf: Set debian-branch to 1.2.y

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 823976)

 -- Julian Andres Klode <jak@debian.org>  Wed, 11 May 2016 10:56:53 +0200

apt (1.2.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * ensure transaction states are changed only once
  * stop handling items in doomed transactions.
    Thanks to Barr Detwix & Vincent Lefevre for log files (Closes: 817240)
  * do not require non-broken systems in 'upgrade'
  * detect compressed status files on extension again
  * recheck Pre-Depends satisfaction in SmartConfigure (LP: #1569099)
  * fix Alt-Filename handling of file method
  * allow uncompressed files to be empty in store again
  * silently skip acquire of empty index files
  * ensure outdated files are dropped without lists-cleanup

  [ Kelemen Gábor ]
  * Hungarian program translation update (Closes: 820638)

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Apr 2016 15:23:49 +0200
