=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.7
